project-navigation
Personal tools

Author Topic: Error with svn version.  (Read 5912 times)

Offline LeSanglier

  • Rookie
  • ***
  • Posts: 35
    • View Profile
Error with svn version.
« on: January 05, 2009, 11:00:28 pm »
Hello !

I got a problem with the svn version when I run the game, I got this error :

----------- parse scripts ----------
MN_ParseNodeBody: Problem with parsing of node property 'aircraft_equip.mdl_top@visiblewhen'. See upper
MN_ParseNode: node with bad body ignored (node "aircraft_equip.mdl_top")
Wrote keys.cfg
Error: MN_ParseMenu: menu "aircraft_equip" have a bad body

How to resolve this problem ?

Thanks in advance !!

Offline geever

  • Project Coder
  • PHALANX Commander
  • ***
  • Posts: 2561
    • View Profile
Re: Error with svn version.
« Reply #1 on: January 06, 2009, 12:33:13 am »
Which revision? Make sure you have the latest recompiled.

If only base/ufos dir has been updated OR the game didn't have recompiled, problem like this can happen.

-geever

Offline DuKe2112

  • Squad Leader
  • ****
  • Posts: 102
    • View Profile
Re: Error with svn version.
« Reply #2 on: January 06, 2009, 10:49:26 am »
when you update you alway have to run
make
make lang
make pk3

otherwise you have old scripts in the datafiles like with your error.

Offline geever

  • Project Coder
  • PHALANX Commander
  • ***
  • Posts: 2561
    • View Profile
Re: Error with svn version.
« Reply #3 on: January 06, 2009, 11:25:32 am »
In this case he has new scripts but old (compiled) code I think.

I don't make pk3 packages at all. Sometimes reconfigure and/or make clean  needed too.

-geever

Offline f8273

  • Cannon Fodder
  • **
  • Posts: 1
    • View Profile
Re: Error with svn version.
« Reply #4 on: January 06, 2009, 12:26:32 pm »
I had that error too.
There is an 'if' with an uninitialized variable 'r' in src/client/menu/m_parse.c (around line 695), which seems to cause it. Removing it solved the problem:
Code: [Select]
Index: src/client/menu/m_parse.c
===================================================================
--- src/client/menu/m_parse.c (revision 21599)
+++ src/client/menu/m_parse.c (working copy)
@@ -692,15 +692,12 @@
  case V_SPECIAL_IF:
  {
  menuDepends_t **condition = (menuDepends_t **) ((byte *) object + property->ofs);
- qboolean r;
 
  *token = COM_EParse(text, errhead, objectName);
  if (!*text)
  return qfalse;
 
  *condition = MN_AllocCondition(*token);
- if (!r)
- return qfalse;
  }
  break;
« Last Edit: January 06, 2009, 12:35:38 pm by f8273 »

Offline bayo

  • Professional loser
  • Project Coder
  • Captain
  • ***
  • Posts: 733
    • View Profile
Re: Error with svn version.
« Reply #5 on: January 06, 2009, 05:25:18 pm »
thanks a lot. Fixed on r21605

Offline LeSanglier

  • Rookie
  • ***
  • Posts: 35
    • View Profile
Re: Error with svn version.
« Reply #6 on: January 06, 2009, 05:47:10 pm »
thanks a lot. Fixed on r21605

Thanks, the game runs perfectly !! :-)

Offline LeSanglier

  • Rookie
  • ***
  • Posts: 35
    • View Profile
Re: Error with svn version.
« Reply #7 on: January 19, 2009, 11:27:47 pm »
Hello !

With this svn version 21901, I got this error :

conan@station214:~/ufoai230$ make
 * [UFO] ... linking  (-ldl  -lm   -lz -lcurl -Wl,-Bsymbolic-functions -lidn -lssl -lcrypto -lldap -lrt -L/usr/lib -g -O2 -Wl,-Bsymbolic-functions -lgssapi_krb5 -lkrb5 -lk5crypto -lcom_err -lgssapi_krb5 -lssl -lcrypto -lz -ljpeg -lpng -lSDL_ttf -lSDL_mixer  -lGL -L/usr/lib -lSDL)
release-linux-gnu-i386/client/client/cl_inventory.o: In function `INV_ParseComponents':
/home/conan/ufoai230/src/client/cl_inventory.c:106: undefined reference to `COM_Parse'
/home/conan/ufoai230/src/client/cl_inventory.c:140: undefined reference to `COM_Parse'
/home/conan/ufoai230/src/client/cl_inventory.c:145: undefined reference to `COM_Parse'
/home/conan/ufoai230/src/client/cl_inventory.c:147: undefined reference to `COM_Parse'
/home/conan/ufoai230/src/client/cl_inventory.c:159: undefined reference to `COM_Parse'
release-linux-gnu-i386/client/client/cl_particle.o:/home/conan/ufoai230/src/client/cl_particle.c:1271: more undefined references to `COM_Parse' follow
collect2: ld a retourné 1 code d'état d'exécution
make: *** [ufo] Erreur 1

How to resolve this problem ?

Thanks in advance !  :-)

Offline LeSanglier

  • Rookie
  • ***
  • Posts: 35
    • View Profile
Re: Error with svn version.
« Reply #8 on: January 20, 2009, 07:40:28 pm »
Hello !

With this svn version 21901, I got this error :


The error has been resolve with the latest svn, but I got another error :

Loaded routing for tile forteresse02 in   0.0s
checksum for the map 'forteresse02': 1444109280
ufo script checksum 2975064857
./ufo: symbol lookup error: ./base/game.so: undefined symbol: COM_Parse

Offline RudolfoWood

  • Rookie
  • ***
  • Posts: 85
    • View Profile
Re: Error with svn version.
« Reply #9 on: January 20, 2009, 07:51:38 pm »
solved in trunk - some other buildfiles were missing

Offline LeSanglier

  • Rookie
  • ***
  • Posts: 35
    • View Profile
Re: Error with svn version.
« Reply #10 on: January 21, 2009, 09:19:15 pm »